package classes;

import abstractClasses.UniversityMember;
import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Table;

@Entity
@Table(name = "Dozent")
public class Lecturer extends UniversityMember
{
    @Column(name = "Fakultät")
    String faculty;

    public Lecturer()
    {

    }

    public Lecturer(int id, String gender, String firstName, String lastName, String placeOfResidence, String birthPlace,
                    String officialEmail, String privateEmail, Boolean isSignedUpForCourse, String faculty)
    {
        super(id, gender, firstName, lastName, placeOfResidence, birthPlace,
                officialEmail, privateEmail, isSignedUpForCourse);
        this.faculty = faculty;
    }

    public String getFaculty()
    {
        return faculty;
    }

    public void setFaculty(String faculty)
    {
        this.faculty = faculty;
    }
}
